Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# PairMatch Class Reference
[Editor]

## Detailed Description

Representation of pair match in text.

Contains information about two regions on two lines.

## Public Member Functions
| PairMatch (LineRegion *startRef, int lineNo, bool topPosition)
| Default constructor.
LineRegion * | getStartRef ()
void | setStart (LineRegion *pair)
| Sets a start region properties.
void | setEnd (LineRegion *pair)
| Sets an end region properties.
## Data Fields
LineRegion * | start
| Region's start position as a cloned LineRegion object.
LineRegion * | end
| Region's end position as a cloned LineRegion object.
int | sline
| Starting Line of pair.
int | eline
| Ending Line of pair.
bool | topPosition
| Identifies initial position of cursor in pair.
int | pairBalance
| Internal pair search counter.

## Constructor & Destructor Documentation

PairMatch::PairMatch | ( | LineRegion * | startRef,
|  | int | lineNo,
|  | bool | topPosition
| ) | `[inline]`

| Default constructor. Clears all fields

## Member Function Documentation

void PairMatch::setStart | ( | LineRegion * | pair | ) | `[inline]`

| Sets a start region properties. Passed object is cloned to keep pair match properties consistent between parse stages

void PairMatch::setEnd | ( | LineRegion * | pair | ) | `[inline]`

| Sets an end region properties. Passed object is cloned to keep pair match properties consistent between parse stages

Colorer-take5 Library. Copyright © 1999-2006 Igor Russkih.
Generated at Fri Nov 24 17:13:13 2006 by doxygen 1.4.6.